MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000147SoldatGUIpublic2012-01-04 04:272014-01-01 18:07
ReporterMr 
Assigned ToShoozza 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7 SP1
Product Version 
Target VersionFixed in Version1.6.3 
Summary0000147: Mouse moves in background, causing unwanted behaviour
DescriptionWhile aiming ingame, the cursor is moved aswell and thereby selects objects on the desktop (although one can not click objects because of the DirectInput lock). While this is not a problem on Windows XP, it can cause unwanted behaviour on systems like Windows 7.
Steps To Reproduce1) Start Soldat in windowed mode on Windows 7
2) Move the mouse until you hit the taskbar. Note that this can be very random as the mouse behaves differently while DirectInput is active.

When hovering over an aero peek preview or the 'show desktop' button, Windows makes Soldat's window transparent.

If Soldat is started in fullscreen mode and multiple monitors are connected, Soldat sometimes minimizes when clicking while the mouse is off the screen Soldat is on.
Additional InformationSuggested fix:
Clip the cursor to Soldat's window while DirectInput is active, unclip when deactivating DirectInput (see GetWindowRect and ClipCursor on MSDN).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001293)
Shoozza (administrator)
2012-01-04 11:00

Fixed cursor isn't clipped to window when playing
(0001498)
Shoozza (administrator)
2012-05-17 01:36

Seems like in 1.6.3 there are still issues please elaborate.
(0001499)
Bistoufly (updater)
2012-05-17 01:39
edited on: 2012-05-17 01:40

Issue still happening sometimes to me in 1.6.3.

Win7 x64
Playing windowed 640x480, 0 re-size on a 640x480 desktop with auto-hide taskbar.

Sometimes moving the soldat cursor to the lower edge triggers the taskbar to un-hide.

(0001536)
Mr (developer)
2012-05-29 20:58

Please open a new report for this, got an open report for something that is solved for me ;)
(0001597)
Shoozza (administrator)
2012-10-06 20:39

Like Mr said open a new bugreport.

- Issue History
Date Modified Username Field Change
2012-01-04 04:27 Mr New Issue
2012-01-04 11:00 Shoozza Note Added: 0001293
2012-01-04 11:00 Shoozza Status new => resolved
2012-01-04 11:00 Shoozza Fixed in Version => 1.6.3
2012-01-04 11:00 Shoozza Resolution open => fixed
2012-01-04 11:00 Shoozza Assigned To => Shoozza
2012-05-17 01:36 Shoozza Assigned To Shoozza =>
2012-05-17 01:36 Shoozza Note Added: 0001498
2012-05-17 01:36 Shoozza Status resolved => feedback
2012-05-17 01:36 Shoozza Resolution fixed => reopened
2012-05-17 01:39 Bistoufly Note Added: 0001499
2012-05-17 01:40 Bistoufly Note Edited: 0001499 View Revisions
2012-05-29 20:58 Mr Note Added: 0001536
2012-05-29 20:58 Mr Status feedback => new
2012-10-06 20:39 Shoozza Note Added: 0001597
2012-10-06 20:39 Shoozza Status new => resolved
2012-10-06 20:39 Shoozza Resolution reopened => fixed
2012-10-06 20:39 Shoozza Assigned To => Shoozza
2014-01-01 18:07 homerofgods Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker